Skip to main content
POST
/
accounts
cURL
curl --request POST \
  --url https://api.spotflow.co/api/v1/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "currency": "NGN",
  "accountName": "Quantum Technologies"
}
'
{
  "id": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
  "balanceId": "bln_52448a75-248e-4277-932f-5af5c325d372",
  "accountName": "Quantum Technologies",
  "accountNumber": "7706438396",
  "parentAccountId": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
  "currency": "NGN",
  "mode": "live",
  "status": "active",
  "accountTag": "main-account",
  "accountDetails": {
    "accountName": "SPOTFLOW/Quantum Technologies",
    "accountNumber": "7806438396",
    "bankName": "Testbank MFB"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt

Use this file to discover all available pages before exploring further.

Adding Test Funds

On test mode with your test keys, you can easily add fake funds to the jollof bank account number created for you using our Funds Simulator App. Note that this is for NGN and GHS only.See the full guide on Adding Fake Funds For Testing.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
currency
string

According, to our currently supported currencies, this is in NGN and GHS.

Example:

"NGN"

accountName
string

Your desired name for your sub account.

Example:

"Quantum Technologies"

Response

A JSON array of subaccounts objects.

id
string<uuid>
required
Example:

"c1fba25a-a36b-479c-b17d-64dbaf3ba32c"

balanceId
string
required
Example:

"bln_52448a75-248e-4277-932f-5af5c325d372"

accountName
string
required
Example:

"Quantum Technologies"

accountNumber
string
required
Example:

"7706438396"

parentAccountId
string<uuid>
required
Example:

"c1fba25a-a36b-479c-b17d-64dbaf3ba32c"

currency
string
required
Example:

"NGN"

mode
enum<string>
required
Available options:
live,
test
Example:

"live"

status
string
required
Example:

"active"

accountTag
string
Example:

"main-account"

accountDetails
object